waterfox-classic-kpe (2022.11-9999+9999.3) obs; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 07 Feb 2024 23:07:03 +0000

waterfox-classic-kpe (2022.11-0) obs; urgency=medium

    * Improved module imports

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 21 Nov 2022 21:10:47 +0100

waterfox-classic-kpe (2022.08-0) obs; urgency=medium

    * Various security patches from the latest Mozilla Foundation Security Advisories.
    * Web compatibility improvements to fix breakages across a variety of websites.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 11 Aug 2022 11:33:57 +0200

waterfox-classic-kpe (2022.06-0) obs; urgency=medium

    * Added support for some emojis added in Unicode 13.
    * Various security patches from the latest Mozilla Foundation Security Advisories.
    * Web compatibility improvements to fix breakages across a variety of websites.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 24 Jun 2022 22:53:56 +0200

waterfox-classic-kpe (2022.04-0) obs; urgency=medium

    * Various security patches in the Mozilla Foundation Security Advisory 2022-14.
    * Bing should crash less frequently.
    * Signing into sync from about:accounts should work again.
    * Fixed sandbox crashing with glibc/libc6 >=2.35.
    * Copying text with the style "white-space: pre;" should now preserve white space.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 16 Apr 2022 13:40:06 +0200

waterfox-classic-kpe (2022.02-0) obs; urgency=medium

    * Latest security patches

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 28 Feb 2022 10:55:49 +0100

waterfox-classic-kpe (2022.01-0) obs; urgency=medium

    * Latest security patches

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 15 Jan 2022 12:22:14 +0100

waterfox-classic-kpe (2021.11-0) obs; urgency=medium

   * Added security patches from latest ESR

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 25 Nov 2021 11:43:36 +0100

waterfox-classic-kpe (2021.10-0) obs; urgency=medium

    * Updated RegExp engine, with resulting perfomance improvement in JavaScript
    * Fixed crashes for users on newer Linux distributions
    * TLS 1.3 compatibility mode is now enabled by default

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 13 Oct 2021 11:01:09 +0200

waterfox-classic-kpe (2021.09-0) obs; urgency=medium

    * New RegExp engine in SpiderMonkey, adding support for Unicode escape sequences, lookbehind references, and named captures
    * Scrollbar preferences can be toggled in about:preferences now
    * Added security patches from latest ESR

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 20 Sep 2021 16:29:10 +0200

waterfox-classic-kpe (2021.08.1-0) obs; urgency=low

    * Fixed problems with restoring session cookies.
    * Fixed problem which disabled some extensions

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 31 Aug 2021 23:26:00 +0200

waterfox-classic-kpe (2021.08-0) obs; urgency=medium

    * Aligned document.open() with the overhauled specification
    * Fixed issues with PerformanceObserver
    * Fixed issues with -moz-appearance and -webkit-appearance
    * Implemented promise.allSettled()
    * Implemented the origin-clean algorithm for canvases
    * Added SVG image support for createImageBitmap
    * Implemented EventTarget as a constructor.
    * Updated the lz4 library
    * Updated the ICU library
    * Fixed various crashes
    * Blocked particularly old versions of Mesa/Nouveau drivers due to issues
    * Changed the default Firefox Compatibility version number to 68.0
    * Updated user-agent overrides
    * Addressed CVE-2018-5113
    * Added security patches from latest ESR

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 20 Aug 2021 13:06:00 +0200

waterfox-classic-kpe (2021.07-0) obs; urgency=medium

    * Redirects for requests that require preflight are now allowed
    * Implemented missing calculation support for stroke-dashoffset
    * Disabled the <menuitem> html tag by default. If you still need this, you can re-enable it with the preference dom.menuitem.enabled in about:config
    * Changed behavior for <img> without src
    * Updated ResizeObserver to match the current spec
    * Added improvements for Web Animations API
    * Improved tables support
    * Added user agent overrides for websites that didn't recognise Waterfox Classic
    * Fixed an issue with CSP .nonce attributes on elements
    * Fixed an issue with textarea placeholders
    * Fixed issues with -moz-appearance and -webkit-appearance
    * Fixed various crashes
    * Added security patches from latest ESR

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 14 Jul 2021 16:12:00 +0200

waterfox-classic-kpe (2021.06-0) obs; urgency=medium

    * Added CSS values smooth, high-quality and pixelated to the image-rendering keyword
    * Added support for the scrollbar-color CSS keyword
    * Added fixes for SVG sizing
    * Fixed a website layout issue with table-styled elements potentially overlapping when placed inside a flexbox.
    * Security patches from latest ESR
    * Updated Widevine CDM to 4.10.2209

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 04 Jun 2021 12:49:00 +0200

waterfox-classic-kpe (2021.04.1-0) obs; urgency=medium

    * Security patches from latest ESR
    * Few useful user-agent overrides

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 26 Apr 2021 12:38:00 +0200

waterfox-classic-kpe (2021.03-0) obs; urgency=medium

    * Added support for detecting dark mode
    * Implemented Performance Observer and queueMicrotask()
    * Fixed CSS Grid Layout issues
    * Fixed Fetch API issues
    * Security patches from latest ESR
    * Updated media codecs for better performance and security

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 06 Apr 2021 23:51:00 +0200

waterfox-classic-kpe (2021.02-1) obs; urgency=medium

    * Fixed Xenial and Stretch issues

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 02 Mar 2021 11:57:00 +0200

waterfox-classic-kpe (2021.02-0) obs; urgency=medium

    * Latest security patches
    * Fixed a JavaScript performance issue
    * Implemented JSON superset and well-formed JSON stringify (ES2019)
    * Updated timezone data for internationalization functions.
    * Polly extension is now integrated with official package (however I left that as a choice to install, if you want it, then just install waterfox-classic-ext-polly from apt)

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 16 Feb 2021 12:46:00 +0200

waterfox-classic-kpe (2021.01.1-0) obs; urgency=medium

    * Latest security patches, backported from Firefox ESR 78.7
    * Added 'Open the Profile Manager' entry to desktop file
    * Updated translations in desktop file

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 28 Jan 2021 12:13:00 +0200

waterfox-classic-kpe (2020.12-0) obs; urgency=medium

    * Latest security advisories patched
    * Website compatibility patches
    * Fixed stability
    * Restored possibility to install extensions made for FF 57

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 09 Dec 2020 00:02:00 +0200

waterfox-classic-kpe (2020.10-0) obs; urgency=medium

    * Latest security advisories patched

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 21 Oct 2020 20:12:00 +0200

waterfox-classic-kpe (2020.09-0) obs; urgency=medium

    * Latest security advisories patched

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 22 Sep 2020 20:42:00 +0200

waterfox-classic-kpe (2020.08.1-0) obs; urgency=low

    * Fix for existing password database not being used
    * Support for <link disabled>
    * Disabled http-equiv cookies draft

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 26 Aug 2020 19:57:00 +0200

waterfox-classic-kpe (2020.08-0) obs; urgency=low

    * Added user-agent override for swedbank.se
    * Improved <table> support
    * Removed the DOM battery API
    * Updated SQLite lib to 3.33.0
    * Changed the security storage database type to SQLite
    * Updated Network Security Services to 3.44.4
    * Updated NSPR to 4.21.1
    * Set maximum supported TLS version to 1.3 and minimum to 1.2
    * Latest security advisories patched

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 25 Aug 2020 11:57:00 +0200

waterfox-classic-kpe (2020.07.2.1-0) obs; urgency=low

    * Added new user-agent overrides
    * Fixed about pages text color for GTK dark themes
    * Fixed memory leaks
    * Implemented Object.fromEntries

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 13 Aug 2020 22:13:00 +0200

waterfox-classic-kpe (2020.07.2-0) obs; urgency=low

    * Fixed startpage search issues

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 05 Aug 2020 12:28:00 +0200

waterfox-classic-kpe (2020.07.1-1) obs; urgency=medium

    * Implemented ShadowRoot.activeElement
    * Various website rendering issues fixed
    * Disabled TLS1.3 0-RTT
    * Latest security advisories patched (best effort)

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 30 Jul 2020 10:40:00 +0200

waterfox-classic-kpe (2020.07-0) obs; urgency=medium

    * Fixed CSD for Pop! OS
    * Various stability and security fixes

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 01 Jul 2020 11:26:00 +0200

waterfox-classic-kpe (2020.06-0) obs; urgency=medium

    * Updated timezone data for internationalization functions
    * On-going work for implementing ShadowDOM v1, aligning the way DOM works as-needed
    * Implemented JavaScript globalThis proposal
    * Various stability and security fixes

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 03 Jun 2020 19:02:00 +0200

waterfox-classic-kpe (2020.05-0) obs; urgency=medium

    * Latest security advisories patched (best effort)

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 07 May 2020 17:52:00 +0200

waterfox-classic-kpe (2020.04-0) obs; urgency=medium

    * Security fixes (mfsa2020-13)
    * Enabled Shutdown Decoder
    * Added user-agent override for Amazon Prime Video
    * Implemented titlebar rendering

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 07 Apr 2020 22:31:00 +0200

waterfox-classic-kpe (2020.03.1-0) obs; urgency=medium

    * Fixed crash when using NoScript

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 13 Mar 2020 00:05:00 +0200

waterfox-classic-kpe (2020.03-0) obs; urgency=medium

    * Latest security advisories from Mozilla
    * Fixed various websites not loading properly (Thanks to hawkeye116477 for the gargantuan effort)
    * Logo now has Classic tag to differentiate from Current
    * Fixed DRM issues (Netflix, Prime Video etc)
    * Various privacy settings update
    * Made ES6 modules working for webextesions
    * Added missing strings to language packages (migration dialog)
    * Fixed issues related with dark system's themes
    * Added AppStream metadata

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 12 Mar 2020 16:24:00 +0200

waterfox-classic-kpe (2020.02.1-0) obs; urgency=medium

    * Implemented asynchronous iterators
    * Fixed an issue with form elements sometimes being incorrectly disabled.
    * Added sourcestamp info
    * Disabled SSL error reporting
    * Fixed crashes on sites with Java applets

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 21 Feb 2020 10:43:00 +0200

waterfox-classic-kpe (2020.02-0) obs; urgency=medium

    * Latest security advisories from Mozilla (mfsa2020-06)

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 13 Feb 2020 20:36:00 +0200

waterfox-classic-kpe (2020.01.1-0) obs; urgency=medium

    * Various media library updates
    * Added DNS resolution to webextensions api
    * Fixed problems with fonts

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 05 Feb 2020 12:17:00 +0200

waterfox-classic-kpe (2020.01-0) obs; urgency=high

    * Very important security patches (CVE-2019-17026)
    * Updated timezone data for internationalization functions
    * Enabled unprefixed Fullscreen API
    * Various website rendering issues fixed (Kinguin, Intel, Epic Games and others)
    * Fixed problems related with uBO html filters

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 11 Jan 2020 10:42:00 +0200

waterfox-classic-kpe (2019.12-2) obs; urgency=medium

    * Fixed depends for some transitional packages

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 19 Dec 2019 16:59:00 +0200

waterfox-classic-kpe (2019.12-0) obs; urgency=medium

    * New features:
        * Restart button in PanelUI and Menu
        * Copy current tab URL
        * Copy all tab URLs
        * New advanced settings in Features tab
    * Added settings for blocking notifications and exceptions
    * Added settings for disabling loading images automatically and exceptions
    * Added settings for disabling JavaScript with exceptions and advanced settings
    * Added new privacy settings
    * Added possibility to disable search bar on new tab page
    * Containers support enabled
    * Added support for new emoji in Unicode/Emoji 12
    * Storage API enabled
    * Security patches

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 10 Dec 2019 19:30:00 +0200

waterfox-classic-kpe (2019.10-5) obs; urgency=medium

    * Various website rending issues fixed. (Thanks to hawkeye116477)
    * Various media libraries updated, including added support for AV1. (Thanks to hawkeye116477)
    * Various config updates. (Thanks to Peacock365)
    * Fixed displaying some emojis
    * Added the path to the running binary to about:support
    * Security fixes from mfsa 2019-33

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 27 Oct 2019 08:40:00 +0200
